/////////////////////////////////////////////////////////////////////////////
// NextView.h
/////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2000-2002 Quenotte  All rights reserved.
/////////////////////////////////////////////////////////////////////////////
//
//	This file is subject to the terms of the GNU General Public License as
//	published by the Free Software Foundation.  A copy of this license is
//	included with this software distribution in the file COPYING.  If you
//	do not have a copy, you may obtain a copy by writing to the Free
//	Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
//	This software is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details
/////////////////////////////////////////////////////////////////////////////
#ifndef NEXTVIEW_H
#define NEXTVIEW_H

extern char NextViewPath[MAX_PATH];
extern BOOL bNXTVactive, bNextViewAuto;
extern BOOL PluginNextViewPresent;
extern HWND NXThWnd;

void NexTView_Init();
void NexTView_Exit();

void NexTView_Chemin();
BOOL NexTView_Demarrer(BOOL bInit);
BOOL NexTView_Fermer();

BOOL CALLBACK NexTView_Chercher(HWND hwnd, LPARAM lParam);

void NexTView_UpdateProgInfo();
void NexTView_AcqNewVbiFrame(unsigned int frameSeqNo);
void NexTView_AddPacket(const unsigned char * data);
void NexTView_AddVpsData( const unsigned char * data );
void NexTView_ChannelChange();
void NexTView_HandleEpgEvent(void);

#endif