/////////////////////////////////////////////////////////////////////////////
// Hardwaremisc.h
/////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2000-2002 Quenotte  All rights reserved.
/////////////////////////////////////////////////////////////////////////////
//
//	This file is subject to the terms of the GNU General Public License as
//	published by the Free Software Foundation.  A copy of this license is
//	included with this software distribution in the file COPYING.  If you
//	do not have a copy, you may obtain a copy by writing to the Free
//	Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
//	This software is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details
/////////////////////////////////////////////////////////////////////////////
//
// This software was based on MultiDec 5.9 Those portions are
// Copyright (C) 1999/2000 Espresso (echter_espresso@hotmail.com)
//
/////////////////////////////////////////////////////////////////////////////
#ifndef HARDWARE_H
#define HARDWARE_H

#include "externe/dsdrv.h"

typedef unsigned long PHYS;
extern PMemStruct Risc_dma;
extern PMemStruct Vbi_dma[5], Display_dma[5];

extern PHYS RiscBasePhysical; 
extern BYTE	*pVBILines[5];
extern BYTE *pDisplay[5];

extern char BTVendorID[10];
extern char BTDeviceID[10];
extern char BTChipType[10];
extern char BTMemInfo [50];
extern BOOL bIsBT878;
extern BOOL CapturePaused;
extern BOOL IsWinNT;

BOOL InitialiserDriver();
void FermerDriver();

BOOL BT8X8_MemoryInit( void );
BOOL BT8X8_FindTVCard();
void DeterminerOS(void);
PHYS GetPhysicalAddress(PMemStruct pMem, LPBYTE pLinear, DWORD dwSizeWanted, DWORD * pdwSizeAvailable);

void BT8X8_Close();
void BT8X8_Restart_RISC_Code();
void Stop_Capture(BOOL bForce);
void Start_Capture(BOOL bForce);
void Reset_Capture();

#endif