/////////////////////////////////////////////////////////////////////////////
// lang.h
/////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2000-2002 Quenotte  All rights reserved.
/////////////////////////////////////////////////////////////////////////////
//
//	This file is subject to the terms of the GNU General Public License as
//	published by the Free Software Foundation.  A copy of this license is
//	included with this software distribution in the file COPYING.  If you
//	do not have a copy, you may obtain a copy by writing to the Free
//	Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
//	This software is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details
/////////////////////////////////////////////////////////////////////////////
#ifndef LANG_H
#define LANG_H

#define MAX_LANGAGE		10

struct listlangages 
{
	HINSTANCE	hInst;
	char		Lang[50];	// langue
	char		Info[50];	// langue / auteur
	WORD		LangID;
};
extern struct listlangages Langages[MAX_LANGAGE];
extern int AppLang;
extern int TotalLangages;
extern char LangName[50];


void Langue_ChargerTousPlugins();
void Langue_ChangeLang(int lang, BOOL bForce);
void Langue_DechargerPlugin();

int Langue_DialogBox(HINSTANCE hinst, LPCTSTR templt, HWND hwnd, DLGPROC dlgproc);
HWND Langue_CreateDialog(HINSTANCE hinst, LPCTSTR templt, HWND hwnd, DLGPROC dlgproc);
HMENU Langue_LoadMenu(HINSTANCE hinst, LPCTSTR templtname);
char * Langue_GetString(int msgid);

#endif