/////////////////////////////////////////////////////////////////////////////
// $Id: VBI.h,v 1.5 2001/07/16 18:07:50 adcockj Exp $
/////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2000 John Adcock.  All rights reserved.
/////////////////////////////////////////////////////////////////////////////
//
//  This file is subject to the terms of the GNU General Public License as
//  published by the Free Software Foundation.  A copy of this license is
//  included with this software distribution in the file COPYING.  If you
//  do not have a copy, you may obtain a copy by writing to the Free
//  Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
//  This software is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details
/////////////////////////////////////////////////////////////////////////////
//
// This software was based on Multidec 5.6 Those portions are
// Copyright (C) 1999/2000 Espresso (echter_espresso@hotmail.com)
//
/////////////////////////////////////////////////////////////////////////////
// Change Log
//
// Date          Developer             Changes
//
// 24 Jul 2000   John Adcock           Original Release
//                                     Translated most code from German
//                                     Combined Header files
//                                     Cut out all decoding
//                                     Cut out digital hardware stuff
//
// 08 Jan 2001   John Adcock           Global Variable Tidy up
//                                     Got rid of global.h structs.h defines.h
//
/////////////////////////////////////////////////////////////////////////////

#ifndef __VBI_H___
#define __VBI_H___

#define MAX_VT_PAGES	899
#define FPSHIFT			16
#define FPFAC			(1<<FPSHIFT)

extern BYTE VBI_thresh;
extern BYTE VBIOffset;
extern HWND ShowVPSInfo;
extern HWND ShowVTInfo;
extern int VTStep;
extern int VPSStep;
extern int VTCachedPages;
extern char VPSLastName[9];

struct TSous_Titres
{
	BOOL bActif;
	BOOL bRun;
	BOOL bTeleTexte;
	unsigned short STPages[12];
	int PageActive;
	unsigned short STCount;
};
extern struct TSous_Titres Sous_Titres;


void VBI_Decode();
void SetVTPage(int Page, int SubPage, BOOL SubPageValid, BOOL LockSubPage);
void SetVTShowHidden(BOOL Enabled);
void Cursor_VTUpdate(BOOL PosValid, int x, int y);
void VT_Refresh(BOOL bFlash);
void VT_Reset();
void UpdateSTpages(unsigned char c, int);
void Toggle_SousTitres();
BOOL SearchGotoVTPage(BOOL bSearchAllPages);

#endif
