/////////////////////////////////////////////////////////////////////////////
// DebugLog.cpp
/////////////////////////////////////////////////////////////////////////////
//
//	This file is subject to the terms of the GNU General Public License as
//	published by the Free Software Foundation.  A copy of this license is
//	included with this software distribution in the file COPYING.  If you
//	do not have a copy, you may obtain a copy by writing to the Free
//	Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
//	This software is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details
/////////////////////////////////////////////////////////////////////////////
#include "stdafx.h"
#include "DebugLog.h"
#include <stdio.h>

void __cdecl LOG(int DebugLevel, LPCSTR Format, ...)
{
    char szMessage[2048];
    va_list Args;

    va_start(Args, Format);
    vsprintf(szMessage, Format, Args);
    va_end(Args);

	// DebugLevel = 1 : messages importants
	if (DebugLevel > 1) return;

#ifdef _DEBUG
	OutputDebugString(szMessage);
	OutputDebugString("\n");
#endif
}


void ErrorBox(char * msg)
{
	OutputDebugString(msg);
	OutputDebugString("\n");
//   MessageBox(hWnd, msg, "K!TV XP - ERREUR", MB_ICONSTOP | MB_OK);
}