/////////////////////////////////////////////////////////////////////////////
// btaudio.h
/////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2000-2002 Quenotte  All rights reserved.
/////////////////////////////////////////////////////////////////////////////
//
//	This file is subject to the terms of the GNU General Public License as
//	published by the Free Software Foundation.  A copy of this license is
//	included with this software distribution in the file COPYING.  If you
//	do not have a copy, you may obtain a copy by writing to the Free
//	Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
//	This software is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details
/////////////////////////////////////////////////////////////////////////////
//
// This software was based on MultiDec 5.9 Those portions are
// Copyright (C) 1999/2000 Espresso (echter_espresso@hotmail.com)
//
/////////////////////////////////////////////////////////////////////////////

#ifndef BTAUDIO_H
#define BTAUDIO_H

extern int MSPMode;
extern int MSPStereo;
extern int MSPMajorMode;
extern int MSPMinorMode;
extern BOOL AutoStereoSelect;
extern BOOL InitialSuperBass;
extern char MSPVersion[16];

extern	char InitialEqualizer1;
extern	char InitialEqualizer2;
extern	char InitialEqualizer3;
extern	char InitialEqualizer4;
extern	char InitialEqualizer5;

extern char InitialBalance;
extern char InitialSpatial;
extern char InitialLoudness;
extern char InitialBass;
extern char InitialTreble;
extern char InitialNicam;
extern char InitialAM;
extern char MSPStatus[30];



BOOL Audio_Init(BYTE DRead,BYTE DWrite );

BOOL Audio_MSP_SetVolume(int nVolume);
BOOL Audio_MSP_SetVolumeNicam(char nNicam);
BOOL Audio_MSP_SetVolumeAM(char nAM);
BOOL Audio_MSP_SetBalance(char nBalance);
BOOL Audio_MSP_SetBass(char nBass);
BOOL Audio_MSP_SetTreble(char nTreble);
BOOL Audio_MSP_SetLoudness(BYTE nLoudness);
BOOL Audio_MSP_SetSpatial(char nSpatial);
BOOL Audio_MSP_SetSuperBass(BOOL bSuperBass);
BOOL Audio_MSP_SetEqualizer1(char nLevel);
BOOL Audio_MSP_SetEqualizer2(char nLevel);
BOOL Audio_MSP_SetEqualizer3(char nLevel);
BOOL Audio_MSP_SetEqualizer4(char nLevel);
BOOL Audio_MSP_SetEqualizer5(char nLevel);

BOOL Audio_MSP_Reset();
void Audio_MSP_Set_MajorMinor_Mode(int MajorMode,int MinorMode  );
void Audio_MSP_SetMode(int type);
void Audio_MSP_SetStereo(int MajorMode, int MinorMode, int mode);
void Audio_MSP_Watch_Mode();

void Audio_MSP_Hauppauge_Boot();

#endif