/////////////////////////////////////////////////////////////////////////////
// Counter.cpp
/////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2000-2002 Quenotte  All rights reserved.
/////////////////////////////////////////////////////////////////////////////
//
//	This file is subject to the terms of the GNU General Public License as
//	published by the Free Software Foundation.  A copy of this license is
//	included with this software distribution in the file COPYING.  If you
//	do not have a copy, you may obtain a copy by writing to the Free
//	Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
//	This software is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details
/////////////////////////////////////////////////////////////////////////////
//
// Utilisation de compteurs performants (par E-nek).
//
/////////////////////////////////////////////////////////////////////////////
#include "stdafx.h"
#include "counter.h"

Counter::Counter()
{ 
	QueryPerformanceFrequency(&pfreq); 
	elapsed=0; 
}

void Counter::Start()
{
	bPerformanceCounter = QueryPerformanceCounter(&count0);
}

void Counter::Stop()
{
LARGE_INTEGER count1;

	if (!bPerformanceCounter) return;

	QueryPerformanceCounter(&count1);
	elapsed = (DWORD) ((count1.QuadPart-count0.QuadPart)/(pfreq.QuadPart/1000)); 
}
