/////////////////////////////////////////////////////////////////////////////
// Plugin.h
/////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2000-2002 Quenotte  All rights reserved.
/////////////////////////////////////////////////////////////////////////////
//
//	This file is subject to the terms of the GNU General Public License as
//	published by the Free Software Foundation.  A copy of this license is
//	included with this software distribution in the file COPYING.  If you
//	do not have a copy, you may obtain a copy by writing to the Free
//	Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
//	This software is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details
/////////////////////////////////////////////////////////////////////////////
//
#ifndef COUNTER_H
#define COUNTER_H


class Counter
{
private:
	LARGE_INTEGER count0, pfreq;
	DWORD elapsed;
	BOOL bPerformanceCounter;
	
public:
	Counter();
	int GetElapsedTime() { return elapsed;}
	void Start();
	void Stop();
};

void DisplayThreadStat();

#endif