/////////////////////////////////////////////////////////////////////////////
// Status.cpp
/////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2000-2002 Quenotte  All rights reserved.
/////////////////////////////////////////////////////////////////////////////
//
//	This file is subject to the terms of the GNU General Public License as
//	published by the Free Software Foundation.  A copy of this license is
//	included with this software distribution in the file COPYING.  If you
//	do not have a copy, you may obtain a copy by writing to the Free
//	Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
//	This software is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details
/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
#include "stdafx.h"
#include <commctrl.h>
#include <windows.h>

#include "K!TV-XP.h"     

HWND hwndStatusBar;


void StatusBar_Create()
{
	hwndStatusBar = CreateStatusWindow(WS_CHILD|WS_VISIBLE, NULL, hWnd, 2);
}


void StatusBar_Adjust()
{
	int Parts[5]={0,0,0,0,0};
	RECT wnd_rect;
	
	if (!hwndStatusBar) return;
	if (!bDisplayStatusBar) return;

	GetClientRect(hWnd, &wnd_rect);
	SendMessage(hwndStatusBar, WM_SIZE, SIZE_RESTORED, MAKELPARAM(wnd_rect.right, wnd_rect.bottom));

	Parts[4] = wnd_rect.right;
	Parts[3] = Parts[4] - 58;
	//int tempp=115+((wnd_rect.right<(150+150+150+150+58))? ((Parts[3]-(115+115+115+115))/4)*(wnd_rect.right>(115+115+115+115+58)) : ((Parts[3]-(150+150+150))/3));
	int tempp=115+((wnd_rect.right<658)? ((Parts[3]-445)/4)*(wnd_rect.right>503) : ((Parts[3]-503)/3));	
	
//	if(wnd_rect.right>115+58)
	if(wnd_rect.right>173)
	{
		Parts[0] = tempp;
	}
	else Parts[0] = Parts[1];
	
//	if(wnd_rect.right>115+115+58)
	if(wnd_rect.right>288)
	{
		Parts[1] = Parts[0]+tempp;
	}
	else Parts[1] = Parts[2];

//	if(wnd_rect.right>115+115+115+58)
	if(wnd_rect.right>403)
	{
//		Parts[2] = (wnd_rect.right<150+150+150+150+58)? Parts[1]+tempp : Parts[3]-150;
		Parts[2] = (wnd_rect.right<658)? Parts[1]+tempp : Parts[3]-150;
	}
	else Parts[2] = Parts[3];

	SendMessage(hwndStatusBar, SB_SETPARTS, sizeof(Parts)/sizeof(int), (LPARAM)Parts);
}

int StatusBar_Height()
{
	RECT rect;
	
	GetClientRect(hwndStatusBar, &rect);
	return rect.bottom - rect.top;
}

void StatusBar_Update(int part, char * text)
{
	if (!bDisplayStatusBar) return;

	SendMessage(hwndStatusBar, SB_SETTEXT, part, (LPARAM)text);
	part = StatusBar_Height();
}
