/////////////////////////////////////////////////////////////////////////////
// AudioCapture.h
/////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2000-2002 Quenotte  All rights reserved.
/////////////////////////////////////////////////////////////////////////////
//
//	This file is subject to the terms of the GNU General Public License as
//	published by the Free Software Foundation.  A copy of this license is
//	included with this software distribution in the file COPYING.  If you
//	do not have a copy, you may obtain a copy by writing to the Free
//	Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
//	This software is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details
/////////////////////////////////////////////////////////////////////////////
//
// This software was based on MultiDec 5.9 Those portions are
// Copyright (C) 1999/2000 Espresso (echter_espresso@hotmail.com)
//
/////////////////////////////////////////////////////////////////////////////

#ifndef AUDIOCAPTURE_H
#define AUDIOCAPTURE_H

#include "mixerdev.h"
//-----------------------------------------------------------------------------

extern int VolumeIn;//Strangers
extern int VolumeOut;//Strangers
extern BOOL CShowCursor;

void SoundCapture_Open() ;
void SoundCapture_Close () ;
int SoundCapture_Play() ;
void SoundCapture_Stop() ;

void Mixer_Set_UnsignedValue( MIXERCONTROLDETAILS *Setting ,int Device ,MIXERCONTROLDETAILS_UNSIGNED *Set );
void Mixer_Get_UnsignedValue( MIXERCONTROLDETAILS *Setting,int Device ,MIXERCONTROLDETAILS_UNSIGNED *Set );

//-----------------------------------------------------------------------------

#endif