// Version 1.8

#ifndef NEXTVIEW_PLUGIN
#define NEXTVIEW_PLUGIN

#include <windows.h>

/*
// ---------------------------------------------------------------------------
// Structure which holds initial parameters
//
typedef struct
{
   const char * pAppName;
   const char * tvAppPath;
   TVAPP_NAME   tvAppType;
   uint         tvFeatures;

   void      (* pCbEpgEvent)( void );

} WINSHMCLNT_TVAPP_INFO;

*/

typedef struct 
{
	char (__cdecl * Init)(const WINSHMCLNT_TVAPP_INFO * pInitInfo, int * pEvent);
	void (__cdecl * Exit)();

	unsigned char (__cdecl * AcqNewVbiFrame)(unsigned int);
	void (__cdecl * AddPacket)( const unsigned char * data );
	void (__cdecl * AddVpsData)(const unsigned char * data );
	
	char (__cdecl * SetStation)(const char * pChanName, unsigned int cni, unsigned int inputSrc, unsigned int freq );
	int  (__cdecl * GetEpgEvent)(void);
	unsigned char (__cdecl * GetProgInfo)
			(time_t * pStart, time_t * pStop,
			uchar * pThemes, uint * pThemeCount,
			uchar * pTitle, uint maxTitleLen );
	bool (__cdecl * GetCmdArgv)(uint * pArgc, char * pCmdBuf, uint cmdMaxLen);

	const unsigned char  * (__cdecl * GetErrorMsg)(void);
} TVApp;

#endif